> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# List activities associated with a specific recurring gift.

GET https://prod-api.raisedonors.com/api/RecurringGift/{id}/activities

Reference: https://virtuous.ferndocs.com/reference/raise/recurring-gift/getrecurringgiftactivities

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Path parameters

- `id` (long, required)

### Query parameters

- `Filter` (string, optional)
- `Skip` (integer, optional)
- `Take` (integer, optional)
- `SortBy` (enum, optional) — Field to sort by (case-insensitive). Valid options: donorname, id
  - Allowed values: `donorname`, `id`
- `Descending` (boolean, optional)
- `IncludeDetails` (boolean, optional)

## Response

### 200

OK

- `items` (list of RecurringGiftActivityModel, optional)
- `total` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `RecurringGift_GetRecurringGiftActivitiesRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### RecurringGiftActivityModel

Represents a recurringgiftactivity model.

- `id` (long, optional) — Gets or sets the identifier.
- `createdDateTime` (string, optional, nullable)
- `recurringGiftId` (long, optional) — Gets or sets the recurringgift identifier.
- `type` (enum, optional) — Gets or sets the type.
  - Allowed values: `1`, `2`, `3`, `4`
- `activityOrigin` (enum, optional) — Gets or sets the activity origin.
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`
- `referenceId` (long, optional, nullable) — Gets or sets the reference identifier.
- `changedBy` (string, optional, nullable) — Gets or sets the changed by.
- `gift` (RecurringGiftActivityGiftModel, optional, nullable) — Gets or sets the gift.
- `metadata` (string, optional, nullable) — Gets or sets the metadata.

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

### RecurringGiftActivityGiftModel

Represents a recurringgiftactivitygift model.

- `id` (long, optional) — Gets or sets the identifier.
- `status` (enum, optional) — Gets or sets the status.
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`
- `createDate` (string, optional, nullable) — Gets or sets the create date.
- `amount` (string, optional, nullable) — Gets or sets the amount.
- `projects` (list of string, optional, nullable) — Gets or sets the projects.
- `paymentInfo` (string, optional, nullable) — Gets or sets the payment info.
- `transactionId` (string, optional, nullable) — Gets or sets the transaction identifier.
- `isAnonymous` (boolean, optional) — Gets or sets a value indicating whether anonymous.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "id": 1024,
      "createdDateTime": "2024-05-20T15:45:00Z",
      "recurringGiftId": 1,
      "type": 2,
      "activityOrigin": 1,
      "referenceId": 56789,
      "changedBy": "jane.doe@example.org",
      "gift": {
        "id": 2048,
        "status": 3,
        "createDate": "2024-05-20T15:40:00Z",
        "amount": "150.00",
        "projects": [
          "Clean Water Initiative"
        ],
        "paymentInfo": "Visa ending in 1234",
        "transactionId": "TXN789456123",
        "isAnonymous": false
      },
      "metadata": "{\"notes\":\"Monthly recurring gift processed successfully.\"}"
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/RecurringGift/1/activities"

querystring = {"SortBy":"donorname"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/RecurringGift/1/activities?SortBy=donorname';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/RecurringGift/1/activities?SortBy=donorname"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/RecurringGift/1/activities?SortBy=donorname")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-api.raisedonors.com/api/RecurringGift/1/activities?SortBy=donorname")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-api.raisedonors.com/api/RecurringGift/1/activities?SortBy=donorname', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/RecurringGift/1/activities?SortBy=donorname");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/RecurringGift/1/activities?SortBy=donorname")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```